import type { _NSDimension } from "./NSDimension.js";
export declare class _NSUnitPower extends _NSDimension {
    static alloc(): _NSUnitPower;
    static new(): _NSUnitPower;
    init(): _NSUnitPower;
    /** Base unit - watts */
    static terawatts(): _NSUnitPower;
    static gigawatts(): _NSUnitPower;
    static megawatts(): _NSUnitPower;
    static kilowatts(): _NSUnitPower;
    static watts(): _NSUnitPower;
    static milliwatts(): _NSUnitPower;
    static microwatts(): _NSUnitPower;
    static nanowatts(): _NSUnitPower;
    static picowatts(): _NSUnitPower;
    static femtowatts(): _NSUnitPower;
    static horsepower(): _NSUnitPower;
}
